class Hooks {
	public:
	static bool Chat_Hook(int ID, int Type, WideStringClass &Msg2, int target);
	static void Version_Hook(int ID, float Ver);
	static void Player_Join_Hook(int ID, const char* Nick);
	static void Host_Hook(int ID, int Type, const char* Msg);
	static void Player_Leave_Hook(int ID);
	static void Level_Loaded_Hook();
	static void Console_Output_Hook(const char* Output);
	static void Purchase_Hook(BaseControllerClass *base, GameObject *purchaser, unsigned int cost, unsigned int preset,unsigned int purchaseret,const char *data);
	static void Object_Hook(void *data, GameObject *obj);
	static void DDE_Hook(const char *DDEStr);
	static void Think_Hook();
	static void Serial_Hook(int ID, const char *Serial);
	static void LoadingE_Hook(int ID, bool Loaded);
	static bool Damage_Hook(int ID, int Damager, int Target, float Damage, unsigned int Warhead);
	static void Ping_Hook(int ID, int Ping);
	static bool Suicide_Hook(int ID);
	static bool Radio_Hook(int Team, int PlayerId, int a, int RadioId, int b);
	static void GameOver_Hook();
};

extern PyObject *ModulesArray[];
extern int ModulesArrayIndex;